org.eclnt.jsfserver.elements.componentnodes

## Class HTARRAYGRIDNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.HTARRAYGRIDNode

- All Implemented Interfaces:
    java.io.Serializable

      public class HTARRAYGRIDNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTARRAYGRIDNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HTARRAYGRIDNode` | `bindActionListener(IActionListenerDelegation value)`
    `HTARRAYGRIDNode` | `bindCellpadding(IDynamicContentBindingObject value)`
    `HTARRAYGRIDNode` | `bindCellspacing(IDynamicContentBindingObject value)`
    `HTARRAYGRIDNode` | `bindComment(IDynamicContentBindingObject value)`
    `HTARRAYGRIDNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `HTARRAYGRIDNode` | `bindGridborder(IDynamicContentBindingObject value)`
    `HTARRAYGRIDNode` | `bindObjectbinding(IDynamicContentBindingObject value)`
    `HTARRAYGRIDNode` | `bindRendered(IDynamicContentBindingObject value)`
    `HTARRAYGRIDNode` | `bindSbvisibleamount(IDynamicContentBindingObject value)`
    `HTARRAYGRIDNode` | `bindSelectorcolumn(IDynamicContentBindingObject value)`
    `HTARRAYGRIDNode` | `bindShowemptyrows(IDynamicContentBindingObject value)`
    `HTARRAYGRIDNode` | `bindStyle(IDynamicContentBindingObject value)`
    `HTARRAYGRIDNode` | `bindStyleClass(IDynamicContentBindingObject value)`
    `HTARRAYGRIDNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `HTARRAYGRIDNode` | `bindSuppressheadline(IDynamicContentBindingObject value)`
    `HTARRAYGRIDNode` | `bindValign(IDynamicContentBindingObject value)`
    `HTARRAYGRIDNode` | `bindWidth(IDynamicContentBindingObject value)`
    `HTARRAYGRIDNode` | `setActionListener(java.lang.String value)`
    `HTARRAYGRIDNode` | `setAttributemacro(java.lang.String value)`
    `HTARRAYGRIDNode` | `setCellpadding(java.lang.String value)`
    `HTARRAYGRIDNode` | `setCellspacing(java.lang.String value)`
    `HTARRAYGRIDNode` | `setComment(java.lang.String value)`
    `HTARRAYGRIDNode` | `setConfiginfo(java.lang.String value)`
    `HTARRAYGRIDNode` | `setGridborder(java.lang.String value)`
    `HTARRAYGRIDNode` | `setId(java.lang.String value)`
    `HTARRAYGRIDNode` | `setObjectbinding(java.lang.String value)`
    `HTARRAYGRIDNode` | `setReference(java.lang.String value)`
    `HTARRAYGRIDNode` | `setRendered(boolean value)`
    `HTARRAYGRIDNode` | `setRendered(java.lang.String value)`
    `HTARRAYGRIDNode` | `setSbvisibleamount(int value)`
    `HTARRAYGRIDNode` | `setSbvisibleamount(java.lang.String value)`
    `HTARRAYGRIDNode` | `setSelectorcolumn(java.lang.String value)`
    `HTARRAYGRIDNode` | `setShowemptyrows(boolean value)`
    `HTARRAYGRIDNode` | `setShowemptyrows(java.lang.String value)`
    `HTARRAYGRIDNode` | `setStyle(java.lang.String value)`
    `HTARRAYGRIDNode` | `setStyleClass(java.lang.String value)`
    `HTARRAYGRIDNode` | `setStylevariant(java.lang.String value)`
    `HTARRAYGRIDNode` | `setSuppressheadline(boolean value)`
    `HTARRAYGRIDNode` | `setSuppressheadline(java.lang.String value)`
    `HTARRAYGRIDNode` | `setValign(java.lang.String value)`
    `HTARRAYGRIDNode` | `setWidth(int value)`
    `HTARRAYGRIDNode` | `setWidth(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HTARRAYGRIDNode

          public HTARRAYGRIDNode()

  - ### Method Detail

    - #### setId

          public HTARRAYGRIDNode setId(java.lang.String value)

    - #### setActionListener

          public HTARRAYGRIDNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public HTARRAYGRIDNode bindActionListener(IActionListenerDelegation value)

    - #### setAttributemacro

          public HTARRAYGRIDNode setAttributemacro(java.lang.String value)

    - #### setCellpadding

          public HTARRAYGRIDNode setCellpadding(java.lang.String value)

    - #### bindCellpadding

          public HTARRAYGRIDNode bindCellpadding(IDynamicContentBindingObject value)

    - #### setCellspacing

          public HTARRAYGRIDNode setCellspacing(java.lang.String value)

    - #### bindCellspacing

          public HTARRAYGRIDNode bindCellspacing(IDynamicContentBindingObject value)

    - #### setComment

          public HTARRAYGRIDNode setComment(java.lang.String value)

    - #### bindComment

          public HTARRAYGRIDNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public HTARRAYGRIDNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public HTARRAYGRIDNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setGridborder

          public HTARRAYGRIDNode setGridborder(java.lang.String value)

    - #### bindGridborder

          public HTARRAYGRIDNode bindGridborder(IDynamicContentBindingObject value)

    - #### setObjectbinding

          public HTARRAYGRIDNode setObjectbinding(java.lang.String value)

    - #### bindObjectbinding

          public HTARRAYGRIDNode bindObjectbinding(IDynamicContentBindingObject value)

    - #### setReference

          public HTARRAYGRIDNode setReference(java.lang.String value)

    - #### setRendered

          public HTARRAYGRIDNode setRendered(java.lang.String value)

    - #### bindRendered

          public HTARRAYGRIDNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public HTARRAYGRIDNode setRendered(boolean value)

    - #### setSbvisibleamount

          public HTARRAYGRIDNode setSbvisibleamount(java.lang.String value)

    - #### bindSbvisibleamount

          public HTARRAYGRIDNode bindSbvisibleamount(IDynamicContentBindingObject value)

    - #### setSbvisibleamount

          public HTARRAYGRIDNode setSbvisibleamount(int value)

    - #### setSelectorcolumn

          public HTARRAYGRIDNode setSelectorcolumn(java.lang.String value)

    - #### bindSelectorcolumn

          public HTARRAYGRIDNode bindSelectorcolumn(IDynamicContentBindingObject value)

    - #### setShowemptyrows

          public HTARRAYGRIDNode setShowemptyrows(java.lang.String value)

    - #### bindShowemptyrows

          public HTARRAYGRIDNode bindShowemptyrows(IDynamicContentBindingObject value)

    - #### setShowemptyrows

          public HTARRAYGRIDNode setShowemptyrows(boolean value)

    - #### setStyle

          public HTARRAYGRIDNode setStyle(java.lang.String value)

    - #### bindStyle

          public HTARRAYGRIDNode bindStyle(IDynamicContentBindingObject value)

    - #### setStyleClass

          public HTARRAYGRIDNode setStyleClass(java.lang.String value)

    - #### bindStyleClass

          public HTARRAYGRIDNode bindStyleClass(IDynamicContentBindingObject value)

    - #### setStylevariant

          public HTARRAYGRIDNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public HTARRAYGRIDNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setSuppressheadline

          public HTARRAYGRIDNode setSuppressheadline(java.lang.String value)

    - #### bindSuppressheadline

          public HTARRAYGRIDNode bindSuppressheadline(IDynamicContentBindingObject value)

    - #### setSuppressheadline

          public HTARRAYGRIDNode setSuppressheadline(boolean value)

    - #### setValign

          public HTARRAYGRIDNode setValign(java.lang.String value)

    - #### bindValign

          public HTARRAYGRIDNode bindValign(IDynamicContentBindingObject value)

    - #### setWidth

          public HTARRAYGRIDNode setWidth(java.lang.String value)

    - #### bindWidth

          public HTARRAYGRIDNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public HTARRAYGRIDNode setWidth(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.